## senlin 11.0.0+git2021061405.5c416ee6

=== debian/changelog ===
senlin (1:11.0.0+git2021061405.5c416ee6-0ubuntu2) impish; urgency=medium

  * d/senlin-api.postinst.in, d/t/senlin-daemons: Update expected port to
    match new upstream default.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 17 Jun 2021 10:34:59 +0000

senlin (1:11.0.0+git2021061405.5c416ee6-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 14 Jun 2021 07:22:45 +0000

=== debian/control ===
Source: senlin
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 po-debconf,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 git,
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.5.1),
 python3-docker (>= 2.4.2),
 python3-eventlet (>= 0.26.1),
 python3-flake8 (>= 2.5.4),
 python3-hacking (>= 1.1.0),
 python3-jsonpath-rw (>= 1.4.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-microversion-parse (>= 0.2.1),
 python3-migrate (>= 0.13.0),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.42.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.3.0),
 python3-osprofiler (>= 2.3.0),
 python3-paramiko,
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-pycodestyle (>= 2.0.0),
 python3-pymysql (>= 0.8.0),
 python3-reno (>= 2.11.2),
 python3-requests (>= 2.20.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tempest (>= 1:21.0.0),
 python3-tenacity (>= 6.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2015.7),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 5.1),
 subunit,
 tempest (>= 1:16.1.0),
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/senlin
Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/senlin
Homepage: https://github.com/stackforge/senlin
Testsuite: autopkgtest-pkg-python

Package: python3-senlin
Section: python
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-docker (>= 2.4.2),
 python3-eventlet (>= 0.26.1),
 python3-jsonpath-rw (>= 1.4.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.18.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-microversion-parse (>= 0.2.1),
 python3-migrate (>= 0.13.0),
 python3-openstacksdk (>= 0.42.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 6.0.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 2.3.0),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 3.1.1),
 python3-requests (>= 2.20.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 6.0.0),
 python3-tz (>= 2015.7),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 5.1),
 ${misc:Depends},
 ${python3:Depends},
Description: clustering service for OpenStack clouds - Python 3
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides the Python 3 library.

Package: senlin-api
Architecture: all
Depends:
 adduser,
 senlin-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: clustering service for OpenStack clouds - API
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides the REST API daemon.

Package: senlin-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-senlin (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: clustering service for OpenStack clouds - common files
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides common files and configuration.

Package: senlin-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: clustering service for OpenStack clouds - docs
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package contains the documentation.

Package: senlin-engine
Architecture: all
Depends:
 adduser,
 senlin-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: clustering service for OpenStack clouds - Engine
 Senlin is a clustering service for OpenStack clouds. It creates and operates
 clusters of homogeneous objects exposed by other OpenStack services. The goal
 is to make the orchestration of collections of similar objects easier.
 .
 Senlin provides RESTful APIs to users so that they can associate various
 policies to a cluster. Sample policies include placement policy, load
 balancing policy, health policy, scaling policy, update policy and so on.
 .
 Senlin is designed to be capable of managing different types of objects. An
 object's lifecycle is managed using profile type implementations, which are
 themselves plugins.
 .
 This package provides the engine daemon.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/senlin/ senlin-(11\.\d.*)\.tar\.gz

## senlin 11.0.0+git2021072117.3e02c0c8

=== debian/changelog ===
senlin (1:11.0.0+git2021072117.3e02c0c8-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:44:49 -0400

## senlin 12.0.0

=== debian/changelog ===
senlin (1:12.0.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 16:29:42 +0000

senlin (1:12.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 12.x series.
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 13:00:43 -0400

senlin (1:11.0.0+git2021090911.2216af78-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 11:45:45 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/senlin/ senlin-(12\.\d.*)\.tar\.gz

## senlin 12.0.0+git2021120910.cc5f321d

=== debian/changelog ===
senlin (1:12.0.0+git2021120910.cc5f321d-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/p/switch-to-collections.abc-abstract-base-classes.patch: This fixes
    unit test errors detected with Python 3.10.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:35:34 -0500

## senlin 12.0.0+git2022011309.39105af5

=== debian/changelog ===
senlin (1:12.0.0+git2022011309.39105af5-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/p/switch-to-collections.abc-abstract-base-classes.patch: Dropped.
    Fixed upstream.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Jan 2022 09:45:27 -0500

## senlin 13.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=3.1.1 # Apache-2.0
docker>=2.4.2 # Apache-2.0
eventlet>=0.26.1 # MIT
jsonpath-rw>=1.4.0 # Apache-2.0
jsonschema>=3.2.0 # MIT
keystoneauth1>=3.18.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
microversion-parse>=0.2.1 # Apache-2.0
openstacksdk>=0.42.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=6.0.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=1.31.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
osprofiler>=2.3.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pytz>=2015.7 # MIT
PyYAML>=5.1 # MIT
requests>=2.20.0 # Apache-2.0
Routes>=2.3.1 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.13.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
tenacity>=6.0.0 # Apache-2.0
WebOb>=1.7.1 # MIT

=== debian/changelog ===
senlin (1:13.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 13.x series.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:20:03 -0400

senlin (1:12.0.0+git2022030314.608e80b9-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 14:44:30 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
  po-debconf,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=senlin

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	python3 setup.py clean

override_dh_clean:
	rm -rf build
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -f debian/senlin-common.config debian/senlin-common.postinst debian/senlin-api.config debian/senlin-api.postinst
	rm -rf debian/CHANGEME-common.postrm debian/*.templates debian/po
	dh_clean

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func senlin-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func senlin-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func senlin-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func senlin-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm senlin-common.postrm
	pkgos-merge-templates senlin-api senlin endpoint
	pkgos-merge-templates senlin-common senlin db rabbit ksat

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/senlin-doc/usr/share/doc/senlin-doc/html
	rm $(CURDIR)/debian/senlin-doc/usr/share/doc/senlin-doc/html/search.html
	rm -rf $(CURDIR)/debian/senlin-doc/usr/share/doc/senlin-doc/html/.doctrees
	dh_sphinxdoc
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	echo "Do nothing..."

override_dh_auto_install:
	rm -rf $(CURDIR)/debian/python3-senlin
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python*-senlin/usr/etc/*

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'senlin\.tests\.unit\.(?!(.*test_common_context.TestRequestContext.test_request_context_from_dict.*|.*test_common_context.TestRequestContext.test_request_context_init.*|.*test_common_context.TestRequestContext.test_request_context_update.*))'
endif
	cp -auxf senlin/db/sqlalchemy/migrate_repo $(CURDIR)/debian/python3-senlin/usr/lib/python3/dist-packages/senlin/db/sqlalchemy
	mkdir -p $(CURDIR)/debian/senlin-common/usr/share/senlin-common
	PYTHONPATH=$(CURDIR)/debian/python3-senlin/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/senlin-common/usr/share/senlin-common/senlin.conf \
		--wrap-width 140 \
		--namespace senlin.config \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/senlin-common/usr/share/senlin-common/senlin.conf keystone_authtoken senlin

	PYTHONPATH=$(CURDIR)/debian/python3-senlin/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/senlin-common/usr/share/senlin-common/policy.json \
		--format json \
		--namespace senlin

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: senlin-daemons
Depends: senlin-api, senlin-engine, curl
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/senlin/ senlin-(13\.\d.*)\.tar\.gz

## senlin 13.0.0+git2022091214.5d3bc56e

=== debian/changelog ===
senlin (1:13.0.0+git2022091214.5d3bc56e-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 14:00:11 -0400

senlin (1:13.0.0+git2022071416.59c5ef4b-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 16:40:36 -0400

senlin (1:13.0.0+git2022060610.ee2959af-0ubuntu2) kinetic; urgency=medium

  * d/control, d/t/control, d/t/senlin-daemons: Add database connection
    details to ensure senlin-engine daemon starts successfully.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Jun 2022 13:54:43 -0400

senlin (1:13.0.0+git2022060610.ee2959af-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 10:56:48 -0400

## senlin 14.0.0

=== requirements.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 keystoneauth1>=3.18.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0
 microversion-parse>=0.2.1 # Apache-2.0
-openstacksdk>=0.42.0 # Apache-2.0
+openstacksdk>=0.99.0 # Apache-2.0
 oslo.config>=6.8.0 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0
 oslo.db>=6.0.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# this is required for the docs build jobs
openstackdocstheme>=2.2.1 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
reno>=3.1.0 # Apache-2.0

=== contrib/kubernetes/requirements.txt ===
Jinja2>=2.8,!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4  # BSD License (3 clause)

=== debian/changelog ===
senlin (1:14.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 14.x series.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 16:20:11 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools (>= 85ubuntu3~),
+ openstack-pkg-tools (>= 119ubuntu1~),
  po-debconf,
  python3-all,
  python3-pbr (>= 3.1.1),
@@ -22,7 +22,7 @@
  python3-docker (>= 2.4.2),
  python3-eventlet (>= 0.26.1),
  python3-flake8 (>= 2.5.4),
- python3-hacking (>= 1.1.0),
+ python3-hacking,
  python3-jsonpath-rw (>= 1.4.0),
  python3-jsonschema (>= 3.2.0),
  python3-keystoneauth1 (>= 3.18.0),
@@ -31,7 +31,7 @@
  python3-migrate (>= 0.13.0),
  python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 2.2.1),
- python3-openstacksdk (>= 0.42.0),
+ python3-openstacksdk (>= 0.99.0),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.config (>= 1:6.8.0),
@@ -55,7 +55,7 @@
  python3-pep8,
  python3-pycodestyle (>= 2.0.0),
  python3-pymysql (>= 0.8.0),
- python3-reno (>= 2.11.2),
+ python3-reno,
  python3-requests (>= 2.20.0),
  python3-routes (>= 2.3.1),
  python3-six (>= 1.10.0),
@@ -72,10 +72,9 @@
  subunit,
  tempest (>= 1:16.1.0),
  testrepository,
-Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/senlin
-Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/senlin
-Homepage: https://github.com/stackforge/senlin
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/senlin
+Homepage: https://opendev.org/openstack/senlin
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-senlin
@@ -91,7 +90,7 @@
  python3-keystonemiddleware (>= 4.17.0),
  python3-microversion-parse (>= 0.2.1),
  python3-migrate (>= 0.13.0),
- python3-openstacksdk (>= 0.42.0),
+ python3-openstacksdk (>= 0.99.0),
  python3-oslo.config (>= 1:6.8.0),
  python3-oslo.context (>= 1:2.22.0),
  python3-oslo.db (>= 6.0.0),
@@ -109,6 +108,7 @@
  python3-osprofiler (>= 2.3.0),
  python3-pastedeploy (>= 1.5.0),
  python3-pbr (>= 3.1.1),
+ python3-pymysql (>= 0.8.0),
  python3-requests (>= 2.20.0),
  python3-routes (>= 2.3.1),
  python3-six (>= 1.10.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/senlin/ senlin-(14\.\d.*)\.tar\.gz

## senlin 14.0.0+git2023011011.196aace9

=== debian/changelog ===
senlin (1:14.0.0+git2023011011.196aace9-0ubuntu4) lunar; urgency=medium

  * d/tests/senlin-daemons: Run systmectl status and journalctl
    if daemon start fails.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Jan 2023 11:09:58 -0500

senlin (1:14.0.0+git2023011011.196aace9-0ubuntu3) lunar; urgency=medium

  * d/tests/senlin-daemons: Increase timeout as test is failing often
    on s390x.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2023 15:20:05 -0500

senlin (1:14.0.0+git2023011011.196aace9-0ubuntu2) lunar; urgency=medium

  * d/tests/senlin-daemons: Make test verbose as it has been unstable.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Jan 2023 19:58:08 -0500

senlin (1:14.0.0+git2023011011.196aace9-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 11:10:36 -0500

## senlin 15.0.0~rc1+git2023030309.d7615259

=== debian/changelog ===
senlin (1:15.0.0~rc1+git2023030309.d7615259-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:52:09 -0500

senlin (1:14.0.0+git2023011011.196aace9-0ubuntu5) lunar; urgency=medium

  * d/tests/senlin-daemons: Run systmectl status and journalctl if systemctl
    start fails.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Jan 2023 16:20:02 -0500

## senlin 15.0.0

=== requirements.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 oslo.i18n>=3.20.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
-oslo.messaging>=5.29.0 # Apache-2.0
+oslo.messaging>=14.1.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.policy>=3.6.0 # Apache-2.0
 oslo.serialization>=2.25.0 # Apache-2.0

=== debian/changelog ===
senlin (1:15.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:24:42 -0400

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  python3-oslo.db (>= 6.0.0),
  python3-oslo.i18n (>= 3.20.0),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 3.6.0),
  python3-oslo.reports (>= 1.18.0),
@@ -96,7 +96,7 @@
  python3-oslo.db (>= 6.0.0),
  python3-oslo.i18n (>= 3.20.0),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 3.6.0),
  python3-oslo.reports (>= 1.18.0),

## senlin 15.0.0+git2023090714.cef004c0

=== debian/changelog ===
senlin (1:15.0.0+git2023090714.cef004c0-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:48:45 -0400

senlin (1:15.0.0+git2023071215.6eee2f41-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Drop installation of senlin/db/sqlalchemy/migrate_repo inline
    with upstream switch to alembic.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 15:14:37 -0400

## senlin 16.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
-
+alembic>=1.6.5 # MIT
 pbr>=3.1.1 # Apache-2.0
 docker>=2.4.2 # Apache-2.0
 eventlet>=0.26.1 # MIT
@@ -31,8 +31,7 @@
 PyYAML>=5.1 # MIT
 requests>=2.20.0 # Apache-2.0
 Routes>=2.3.1 # MIT
-SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
-sqlalchemy-migrate>=0.13.0 # Apache-2.0
+SQLAlchemy>=1.4.41 # MIT
 stevedore>=1.20.0 # Apache-2.0
 tenacity>=6.0.0 # Apache-2.0
 WebOb>=1.7.1 # MIT

=== debian/changelog ===
senlin (1:16.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 15:00:37 +0000

senlin (1:16.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:26:58 -0400

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  git,
+ python3-alembic (>= 1.6.5),
  python3-babel (>= 2.3.4),
  python3-bandit (>= 1.1.0),
  python3-coverage (>= 4.5.1),
@@ -59,7 +60,7 @@
  python3-requests (>= 2.20.0),
  python3-routes (>= 2.3.1),
  python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.0.10),
+ python3-sqlalchemy (>= 1.4.41),
  python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-tempest (>= 1:21.0.0),
@@ -81,6 +82,7 @@
 Section: python
 Architecture: all
 Depends:
+ python3-alembic (>= 1.6.5),
  python3-babel (>= 2.3.4),
  python3-docker (>= 2.4.2),
  python3-eventlet (>= 0.26.1),
@@ -112,7 +114,7 @@
  python3-requests (>= 2.20.0),
  python3-routes (>= 2.3.1),
  python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.0.10),
+ python3-sqlalchemy (>= 1.4.41),
  python3-stevedore (>= 1:1.20.0),
  python3-tenacity (>= 6.0.0),
  python3-tz (>= 2015.7),

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,6 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	pkgos-dh_auto_test --no-py2 'senlin\.tests\.unit\.(?!(.*test_common_context.TestRequestContext.test_request_context_from_dict.*|.*test_common_context.TestRequestContext.test_request_context_init.*|.*test_common_context.TestRequestContext.test_request_context_update.*))'
 endif
-	cp -auxf senlin/db/sqlalchemy/migrate_repo $(CURDIR)/debian/python3-senlin/usr/lib/python3/dist-packages/senlin/db/sqlalchemy
 	mkdir -p $(CURDIR)/debian/senlin-common/usr/share/senlin-common
 	PYTHONPATH=$(CURDIR)/debian/python3-senlin/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/senlin-common/usr/share/senlin-common/senlin.conf \

=== debian/tests/control ===
Tests: senlin-daemons
Depends:
 crudini,
 curl,
 mysql-server,
 senlin-api,
 senlin-engine,
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/senlin/ senlin-(\d.*)\.tar\.gz
